Newest macOS Plex Media Player (1.3.0.642-70f80570) crashes on startup

plex-media-player

#7

Yes. Attached


#8

I don't have the utilities to analyze Mac crash dumps. Let's see if I can get the attention of a ninja that might be able to help. @cayars can you help?


#9

Appears to be an issue due to updating to Qt 5.8. We'll need to make a bug fix release.


#10

PMP v.1.3.0.642 also crashes few seconds after starting, on my MBP Retina 15" mid-2014 with macOS 10.12.4 (Sierra too).


#11

Seem to have the same problem.
I have no crash reports only the console log.
I have removed all related library items and did a complete reinstall of PMP. No result. it keeps crashing.


#12

Same problem on El Capitan 10.11.6


#13

Same issue on Sierra 10.12.4, everything else up to date. Running PMP on Macbook Air, 13" mid-2011, SierraOS. Just updated the App today (1.3.0.642). Now crashes about 10 seconds after start up. Always worked great until I installed the recommended update. Now unusable. Chrome based Plex player works fine, but the player app just started crashing since update. Everything else in the network stable, up to date and working fine. I'm afraid to update PMP on any of my Mac Mini's in the network. Sounds like you're homing in on it. Cool! Logs attached:


#14

Current Plex Media Server 1.6.1.3722-4955e31cf on EL Capitan 10.11.6 will not install into application folder and will not start.. Any help greatly appreciated.
Can you at least post download link to prior working version? This really doesn't sit well as being a paying customer.


#15

@pkobsa This is a thread for Plex Media Player, not Plex Media Server. If you're having issues with PMS, I'd suggest creating a new thread in the Plex Media Server section :)


#16

Is this actually being fixed? This is now many days without being able to use the Plex Media Player - as a PlexPass subscriber, i really thought that this would have had better support or at least an option for a rollback?!


#17

Sorry for the delay, but we're still working on a fix for this.

I've pulled the 1.3.0 release so you can grab 1.2.5 from plex.tv and downgrade to that until the issue is resolved.


#18

Markus101 - works perfectly after rolling back to 1.2.5, thank you!!


#19

Where are the older versions available for download? It's definitely not easy to find it.


#20

@tronyx said:
Where are the older versions available for download? It's definitely not easy to find it.

Go to the downloads page on this website and grab the 1.2.5 version. Plex doesn't make any version available except the current one.


#21

@kegobeer-plex said:

@tronyx said:
Where are the older versions available for download? It's definitely not easy to find it.

Go to the downloads page on this website and grab the 1.2.5 version. Plex doesn't make any version available except the current one.

What website? The downloads link at the top of the page goes to plex.tv.


#22

@tronyx said:
What website? The downloads link at the top of the page goes to plex.tv.

It goes to https://www.plex.tv/downloads/ for me.


#23

@kegobeer-plex said:

@tronyx said:
What website? The downloads link at the top of the page goes to plex.tv.

It goes to https://www.plex.tv/downloads/ for me.

Right, and you can only get the latest version of PMP, which is broken, and not older versions like 1.3.0 or 1.2.5. I appreciate you're trying to help, but it seems like you're talking in circles.


#24

https://www.plex.tv/downloads/ - 1.3.1 is now available which fixes the crash in 1.3.0.


#25

@tronyx said:
Right, and you can only get the latest version of PMP, which is broken, and not older versions like 1.3.0 or 1.2.5. I appreciate you're trying to help, but it seems like you're talking in circles.

My only guess is since the post was made about making 1.2.5 available for download (which it was, I remember looking for it), changes were made and a new version was posted that should've fixed the problem (May 17th is the date of the new release).


#26

D'oh, I'm sorry guys, I got the versions confused with all the tabs I have open. I'm running 1.3.1 and it seems my issue was due to a bad video file. My apologies and thank you both for trying to help me.